package com.braintree.command.result;

import java.util.Calendar;

public class BrainTreeCreatePaymentMethodResult extends BrainTreeAbstractResult {

    private String paymentProvider;
    private String paymentInstrumentType;
    private String paymentMethodToken;
    private String paymentMethodGraphQLToken;
    private String imageSource;
    private String bin;
    private String cardholderName;
    private String last4;
    private String cardNumber;
    private String cardType;
    private String expirationMonth;
    private String expirationYear;
    private String email;
    private String customerId;
    private Calendar createdAt;
    private BrainTreeBillingAddressResult billingAddressResult;
    private String routingNumber;
    private boolean verified;

    public String getPaymentInstrumentType() {
        return paymentInstrumentType;
    }

    public void setPaymentInstrumentType(String paymentInstrumentType) {
        this.paymentInstrumentType = paymentInstrumentType;
    }

    public String getPaymentProvider() {
        return paymentProvider;
    }

    public void setPaymentProvider(String paymentProvider) {
        this.paymentProvider = paymentProvider;
    }

    public String getPaymentMethodToken() {
        return paymentMethodToken;
    }

    public void setPaymentMethodToken(final String paymentMethodToken) {
        this.paymentMethodToken = paymentMethodToken;
    }

    public String getPaymentMethodGraphQLToken() {
        return paymentMethodGraphQLToken;
    }

    public void setPaymentMethodGraphQLToken(String paymentMethodGraphQLToken) {
        this.paymentMethodGraphQLToken = paymentMethodGraphQLToken;
    }

    public String getImageSource() {
        return imageSource;
    }

    public void setImageSource(final String imageSource) {
        this.imageSource = imageSource;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(final String cardType) {
        this.cardType = cardType;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(final String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBin() {
        return bin;
    }

    public void setBin(String bin) {
        this.bin = bin;
    }

    public String getLast4() {
        return last4;
    }

    public void setLast4(String last4) {
        this.last4 = last4;
    }

    public String getCardholderName() {
        return cardholderName;
    }

    public void setCardholderName(final String cardholderName) {
        this.cardholderName = cardholderName;
    }

    public String getExpirationMonth() {
        return expirationMonth;
    }

    public void setExpirationMonth(final String expirationMonth) {
        this.expirationMonth = expirationMonth;
    }

    public String getExpirationYear() {
        return expirationYear;
    }

    public void setExpirationYear(final String expirationYear) {
        this.expirationYear = expirationYear;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(final String email) {
        this.email = email;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public Calendar getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Calendar createdAt) {
        this.createdAt = createdAt;
    }

    public BrainTreeBillingAddressResult getBillingAddressResult() {
        return billingAddressResult;
    }

    public void setBillingAddressResult(BrainTreeBillingAddressResult billingAddressResult) {
        this.billingAddressResult = billingAddressResult;
    }

    public boolean getVerified() {
        return verified;
    }

    public void setVerified(boolean verified) {
        this.verified = verified;
    }

    public String getRoutingNumber() {
        return routingNumber;
    }

    public void setRoutingNumber(String routingNumber) {
        this.routingNumber = routingNumber;
    }

    @Override
    public String toString() {
        return "BrainTreeCreatePaymentMethodResult [paymentMethodToken=" + paymentMethodToken
            + ", paymentMethodGraphQLToken="
            + paymentMethodGraphQLToken + ", imageSource="
            + imageSource
            + ", cardType=" + cardType + ", cardNumber="
            + cardNumber + ", cardholderName=" + cardholderName + ", expirationMonth=" + expirationMonth
            + ", expirationYear="
            + expirationYear + ", email=" + email + "]";
    }

}
